@import "../00_base/media-queries.pcss.css";

.node--view-mode-full {
  --box-padding: 37px;
}

.node--view-mode-full:not(.node--type-organisation):not(.node--type-event) {
  width: 100%;
  max-width: var(--max-width);
  margin-inline: auto;
  background-color: var(--color--white);
  border-radius: var(--border-radius);
  padding: var(--box-padding);
}
.node-form {
  padding-block: calc(var(--box-padding)/2);
}
.node-form * {
  --border-radius: .5rem;
}

.h4c-node--second {
  display: flex;
  flex-direction: column; /* Only use flex for orderng elements */
}

.h4c-node--second .h4c-node__main {
  order: 1;
}
.h4c-node--second .h4c-node__sidebar {
  order: 0;  
}

@media (--md) {
  /* Article/Organisation edit form */
  .h4c-node-edit {
    display: flex;
    gap: var(--box-padding);
  }
  .h4c-node-edit > div {
    min-width: 0;
    min-height: 0;
  }
  .h4c-node-edit__main {
    flex-basis: 66%;
  }
  .h4c-node-edit__sidebar {
    flex-basis:  33%;
  }

  /* Article/Organisation full */
  .h4c-node {
    display: flex;
    gap: var(--box-padding);
  }
  .h4c-node--first {
    align-items: center;
  }
  .h4c-node--second {
    flex-direction: row;
  }
  .h4c-node > div {
    min-width: 0;
    min-height: 0;
  }
  .h4c-node__main {
    flex-basis: 75%;
  }
  .h4c-node__sidebar {
    flex-basis:  25%;
  }
  .h4c-node__sidebar > div:first-child {
    margin-top: 16px;
  }
  .h4c-node--second .h4c-node__main {
    order: 0;
  }
  .h4c-node--second .h4c-node__sidebar {
    order: 1;  
  }
}